Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Digikam-0.10.0_rc2 crashing
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
hunky
l33t
l33t


Joined: 19 Nov 2003
Posts: 821
Location: Alaska

PostPosted: Sun Feb 22, 2009 11:09 pm    Post subject: Digikam-0.10.0_rc2 crashing Reply with quote

I have constant crashes with digikam-0.10.0_rc2 on an ~x86 system with kde-testing overlay's kde-4.2. (Hence posting here).

Here is the crash report: http://pastebin.com/d7c1bb4ac if that means anything to anyone and here is the shell info:
Code:
jim@jad ~ $ digikam
digikam(5366): Attempt to use QAction "camera_solid" with KXMLGUIFactory!
digikam(5366): Attempt to use QAction "usb_media" with KXMLGUIFactory!
digikam(5366): Attempt to use QAction "card_reader" with KXMLGUIFactory!
digikam(5366): Attempt to use QAction "camera_addedmanually" with KXMLGUIFactory!
KCrash: Application 'digikam' crashing...
sock_file=/home/jim/.kde4.2/socket-jad/kdeinit4__0


I read another thread where someone thought kdelibs-3.5.9 might be causing it for a kdeenlive and his digikam as when he removed it, it quit crashing. Another said that had no effect - and I use k3b (depends on kde-3.5) and one or two other programs needing 3.5 so haven't tried that workaround.

I've re-emerged it, done revdep-rebuilds. I did look in bugs and didn't see anything.

cheers, JD
Back to top
View user's profile Send private message
hunky
l33t
l33t


Joined: 19 Nov 2003
Posts: 821
Location: Alaska

PostPosted: Fri Feb 27, 2009 7:33 am    Post subject: Reply with quote

compiled with debug support and not sure if it made a difference but I got some extra errors:
Code:
Warning: XMP toolkit support not compiled in.
Warning: Failed to decode XMP metadata.
Warning: XMP toolkit support not compiled in.
Warning: Failed to decode XMP metadata.
Warning: XMP toolkit support not compiled in.
Warning: Failed to decode XMP metadata.
KCrash: Application 'digikam' crashing...
sock_file=/home/jim/.kde4.2/socket-jad/kdeinit4__0

So I'm looking for that - not sure where to find XMP toolkit support.
Back to top
View user's profile Send private message
Krog
Guru
Guru


Joined: 26 Jun 2007
Posts: 330
Location: Roma, Italy

PostPosted: Sun May 17, 2009 10:55 am    Post subject: Reply with quote

hunky wrote:
compiled with debug support and not sure if it made a difference but I got some extra errors:
Code:
Warning: XMP toolkit support not compiled in.
Warning: Failed to decode XMP metadata.
Warning: XMP toolkit support not compiled in.
Warning: Failed to decode XMP metadata.
Warning: XMP toolkit support not compiled in.
Warning: Failed to decode XMP metadata.
KCrash: Application 'digikam' crashing...
sock_file=/home/jim/.kde4.2/socket-jad/kdeinit4__0

So I'm looking for that - not sure where to find XMP toolkit support.


same here! UP!
Back to top
View user's profile Send private message
peakeyed
n00b
n00b


Joined: 18 Nov 2004
Posts: 58

PostPosted: Mon May 18, 2009 2:58 am    Post subject: me too Reply with quote

Same here...

Warning: XMP toolkit support not compiled in.
Warning: Failed to decode XMP metadata.
Back to top
View user's profile Send private message
hunky
l33t
l33t


Joined: 19 Nov 2003
Posts: 821
Location: Alaska

PostPosted: Mon May 18, 2009 5:05 pm    Post subject: Reply with quote

My problem went away - I've been trying to remember so I can offer a possible fix but I probably found it in the forum somewhere. Do you have xml in your use flags for make.conf? If not, add that and then try a --newuse -D option on an update for your world. Not sure if that is what fixed mine but you could try it. /jim

edit: I see it could be imagemagick that needs to have xml (I don't know but it is what I'm using) if you don't want to put it in your make.conf - recompile it with xml in package.use then.

another edit: From digikam's website:
"Support of XMP metadata (require Exiv2 library >= 0.16)"

I'm running: media-gfx/exiv2-0.18.1 USE="nls unicode zlib -contrib -doc -examples -xmp"
Seems like I should have -xmp enabled there but it is working.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum